\name{r}
\alias{r}

\title{ A very silent and multipackage require() function }
\description{
  This function loads one or several R packages as silently as possible and
  it returns \code{TRUE} only if all packages are loaded successfully. If
  at least one loading fails, a short message is printed.
}
\usage{
    r(...)
}

\arguments{
  \item{\dots}{ the name of one or several R packages to load (character strings) }
}

\value{
  \code{TRUE} if all packages are loaded correctly, \code{FALSE} otherwise. This
  function is designed to concisely and quitely indicate package requirements in
  GUI menu or other GUI actions.
}

\author{ Philippe Grosjean <phgrosjean@sciviews.org> }

\seealso{ \code{\link[base]{require}} }

\examples{
# This should work...
if (r("tools", "methods")) cat("Fine!\n")
# ... but this not (notice there is no error or warning!)
if (r("tools", "badname")) cat("Fine!\n")
}

\keyword{ utilities }
